package convertedc2java;



import com.sigh.utils.strings.c_functions.*;
import com.sigh.utils.strings.c_functions.CsprintfExceptions;

public class ConvertedC2Java extends Temperature {

    public ConvertedC2Java() throws CsprintfExceptions {
        super();
    }

    public void print() throws CsprintfExceptions {
        Csprintf csf = new Csprintf();
        Object[] values = new Object [ 3 ];
        float[] fValues = new float [ 101 ];
        int     i       = 0;

        System.out.println ( "Celsius\tFarenheit\tKelvin" );

        for ( i = -50; i <= 50; ++i ){ //i += 5 ) {
            setCelsius ( Float.valueOf ( i * 1.0f ) );
            values [ 0 ] = this.getCelsius();
            values [ 1 ] = this.getFarenheit();
            fValues [ i + 50 ] = this.getFarenheit();
            values [ 2 ] = this.getKelvin();
            System.out.println ( csf.doSprintf ( "%8.2f\t%8.2f\t%8.2f", values ) );
        }
        System.out.println ( "Celsius\tFarenheit\tKelvin" );
        for ( i = 0; i < 101; ++i ) {
            setFarenheit ( Float.valueOf ( fValues [ i ] ) );
            values [ 0 ] = this.getCelsius();
            values [ 1 ] = this.getFarenheit();
            values [ 2 ] = this.getKelvin();
            System.out.println ( csf.doSprintf ( "%8.2f\t%8.2f\t%8.2f", values ) );
        }
    }
    
    public static void main ( String[] argv ) {
        try {
            ConvertedC2Java c2j = new ConvertedC2Java();
            c2j.print();
        } catch ( CsprintfExceptions csfE ) {
            csfE.printStackTrace();
        }
    }
}
